## EXPORT_SPEC int UpnpSearchAsync

## ( IN UpnpClient_Handle Hnd,
IN int Mx,
IN const char* Target,
IN const void* Cookie )

> UpnpSearchAsync searches for devices matching the given search target.

## Documentation

> UpnpSearchAsync searches for devices matching the given search target. The function returns immediately and the SDK calls the default callback function, registered during the UpnpRegisterClient call, for each matching root device, device, or service. The application specifies the search type by the Target parameter.

> Note that there is no way for the SDK to distinguish which client instance issued a particular search. Therefore, the client can get search callbacks that do not match the original criteria of the search. Also, the application will receive multiple callbacks for each search.

Parameters:
  Hnd - The handle of the client performing the search.
  Mx - The time, in seconds, to wait for responses. If the time is greater than `MAX_SEARCH_TIME` then the time is set to `MAX_SEARCH_TIME`. If the time is less than `MIN_SEARCH_TIME` then the time is set to `MIN_SEARCH_TIME`.
  Target - The search target as defined in the UPnP Device Architecture v1.0 specification.
  Cookie - The user data to pass when the callback function is invoked.
Returns:
  [int] An integer representing one of the following:
  - `UPNP_E_SUCCESS`: The operation completed successfully.
  - `UPNP_E_INVALID_HANDLE`: The handle is not a valid control point handle.
  - `UPNP_E_INVALID_PARAM`: Target is `NULL`.

Alphabetic index

This page was generated with the help of DOC++.